
From: Grzegorz Jaskiewicz <gj@pointblue.com.pl>

gcc-2.94 spits a dummy at this code, alleging an invalid lvalue.


 25-akpm/include/linux/sunrpc/svc.h |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN include/linux/sunrpc/svc.h~sunrpc-gcc-bug-workaround include/linux/sunrpc/svc.h
--- 25/include/linux/sunrpc/svc.h~sunrpc-gcc-bug-workaround	Tue May  6 14:20:19 2003
+++ 25-akpm/include/linux/sunrpc/svc.h	Tue May  6 14:20:53 2003
@@ -176,8 +176,10 @@ static inline int svc_take_page(struct s
 {
 	if (rqstp->rq_arghi <= rqstp->rq_argused)
 		return -ENOMEM;
-	rqstp->rq_respages[rqstp->rq_resused++] =
-		rqstp->rq_argpages[--rqstp->rq_arghi];
+	rqstp->rq_arghi--;
+	rqstp->rq_respages[rqstp->rq_resused] =
+		rqstp->rq_argpages[rqstp->rq_arghi];
+	rqstp->rq_resused++;
 	return 0;
 }
 

_
